org.eclipse.emf.cdo.transaction

## Class CDOStaleReferenceCleaner.Default

- java.lang.Object
- - org.eclipse.emf.cdo.transaction.CDOStaleReferenceCleaner.Default

- All Implemented Interfaces:
    CDOStaleReferenceCleaner
  Enclosing interface:
    CDOStaleReferenceCleaner

      public static class CDOStaleReferenceCleaner.Default
      extends java.lang.Object
      implements CDOStaleReferenceCleaner

  A default `CDOStaleReferenceCleaner` that can be used on invalidation.
  Author:
    Esteban Dugueperoux

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOStaleReferenceCleaner

      `CDOStaleReferenceCleaner.Default`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.transaction.CDOStaleReferenceCleaner

      `DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Default()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanStaleReferences(java.util.Collection<Pair<EStructuralFeature.Setting,EObject>> objectsToBeRemoved)` Clean the stale references created on invalidation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Default

          public Default()

  - ### Method Detail

    - #### cleanStaleReferences

          public void cleanStaleReferences(java.util.Collection<Pair<EStructuralFeature.Setting,EObject>> objectsToBeRemoved)

      Description copied from interface: `CDOStaleReferenceCleaner`
      Clean the stale references created on invalidation.
      Specified by:
        `cleanStaleReferences` in interface `CDOStaleReferenceCleaner`
      Parameters:
        `objectsToBeRemoved` - `Collection` of `Pair` from `EStructuralFeature.Setting` to detached objects

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html